Name:       ibus-table-wubi
Version:    1.2.0.20090715
Release:    4%{?dist}
Summary:    Wubi table(s) for ibus-table
License:    GPLv3+
Group:      System Environment/Libraries
URL:        http://code.google.com/p/ibus/
Source0:    http://ibus.googlecode.com/files/%{name}-%{version}.tar.gz

BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

# for noarch pkgconfig
Requires:         ibus >= 1.2, ibus-table >= 1.2
BuildRequires:    ibus >= 1.2, ibus-table >= 1.2
BuildRequires:    gettext-devel >= 0.17, automake >= 1.10.1

%description
The package contains Wubi table(s) for IBus-Table. 

%prep
%setup -q

%build
export IBUS_TABLE_CREATEDB="%{_bindir}/ibus-table-createdb --no-create-index"
%configure --prefix=%{_prefix} --enable-wubi86
%__make %{?_smp_mflags}

%install
%__rm -rf %{buildroot}
%__make DESTDIR=%{buildroot} INSTALL="install -p" NO_INDEX=true install

%clean
%__rm -rf %{buildroot}

%post
cd %{_datadir}/ibus-table/tables/
%{_bindir}/ibus-table-createdb -i -n wubi86.db 

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%dir %{_datadir}/ibus-table
%dir %{_datadir}/ibus-table/tables
%dir %{_datadir}/ibus-table/icons
%{_datadir}/ibus-table/tables/wubi86.db
%{_datadir}/ibus-table/icons/wubi86.svg

%changelog
* Tue Oct 06 2009 Caius 'kaio' Chance <k AT kaio.me> - 1.2.0.20090715-4.fc11
- Rebuilt.

* Tue Oct 06 2009 Caius 'kaio' Chance <k AT kaio.me> - 1.2.0.20090715-3.fc11
- Rebuilt.

* Tue Oct 06 2009 Caius 'kaio' Chance <k AT kaio.me> - 1.2.0.20090715-2.fc11
- Rebuilt.

* Thu Oct 01 2009 Caius 'kaio' Chance <k AT kaio.me> - 1.2.0.20090715-1.fc11
- Rebuilt with IBus 1.2.

* Tue Jun 23 2009 Caius 'kaio' Chance <k AT kaio.me> - 1.1.0.20090327-7.fc11
- Fixed index creation mislocation.
- Further specify versions of package dependencies.

* Wed Jun 17 2009 Caius 'kaio' Chance <k AT kaio.me> - 1.1.0.20090327-6.fc11
- rebuilt.

* Mon Jun 15 2009 Caius 'kaio' Chance <k AT kaio.me> - 1.1.0.20090327-5.fc11
- rebuilt.

* Mon Jun 15 2009 Caius 'kaio' Chance <k AT kaio.me> - 1.1.0.20090327-4.fc11
- rebuilt.

* Mon Jun 15 2009 Caius 'kaio' Chance <k AT kaio.me> - 1.1.0.20090327-3.fc11
- Resolves: rhbz#500973 (Rebuild db during build stage.)

* Tue May 19 2009 Caius 'kaio' Chance <cchance@redhat.com> - 1.1.0.20090327-2.fc11
- Rebuilt

* Tue May 19 2009 Caius 'kaio' Chance <cchance@redhat.com> - 1.1.0.20090327-1.fc11
- Create index only during post-install.

* Wed Apr 01 2009 Caius Chance <cchance@redhat.com> - 1.1.0.20090316-4.fc11
- Correct license to GPLv3+ and preserve timestamp during make install.

* Mon Mar 27 2009 Caius Chance <cchance@redhat.com> - 1.1.0.20090316-3.fc11
- Resolves: rhbz#488168
- Rebuilt with latest upstream.

* Mon Mar 27 2009 Caius Chance <cchance@redhat.com> - 1.1.0.20090316-2.fc11
- Resolves: rhbz#488168
- Removed wubi98.

* Mon Mar 16 2009 Caius Chance <cchance@redhat.com> - 1.1.0.20090316-1.fc11
- Resolves: rhbz#488168
- Splited from ibus-table.
- Added contents of AUTHORS.
